## org.ascape.util.vis
Class FillCellFeature

    java.lang.Object
      org.ascape.util.vis.DrawFeature
          org.ascape.util.vis.DrawColorFeature
              org.ascape.util.vis.FillCellFeature

All Implemented Interfaces:
  java.io.Serializable, HasName, ColorFeature, PlatformDrawFeature

    public class FillCellFeature

extends DrawColorFeature

A Draw feature that fills a cell with the color defined by the color feature.

Since:
  1.0
Version:
  1.0
Author:
  Miles Parker
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.util.vis.DrawColorFeature
`colorFeature`

Fields inherited from class org.ascape.util.vis.DrawFeature
`name, nestedFeature`

Fields inherited from interface org.ascape.util.vis.ColorFeature
`BLACK, BLUE, CYAN, DARK_BLUE, DARK_GRAY, DARK_GREEN, DARK_MAGENTA, DARK_RED, DARK_YELLOW, DEFAULT_BG, GRAY, GREEN, HIGHLIGHT_AGENT_COLOR, LIGHT_GRAY, MAGENTA, ORANGE, RED, WHITE, YELLOW`

Constructor Summary
`FillCellFeature(java.lang.String name)` Constructs the feature with the supplied name.
`FillCellFeature(java.lang.String name, ColorFeature colorFeature)` Constructs the feature with a name and color feature.

Method Summary
`void` `draw(org.eclipse.draw2d.Graphics g, java.lang.Object object, int width, int height)` Draws a graphic interpreation of the object into the supplied graphics port, (typically) within the supplied dimensions.

Methods inherited from class org.ascape.util.vis.DrawColorFeature
`getColor, getColorFeature, getName, setColorFeature`

Methods inherited from class org.ascape.util.vis.DrawFeature
`getNestedFeature, setName, setNestedFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FillCellFeature

    public FillCellFeature(java.lang.String name)

  Constructs the feature with the supplied name.

  Parameters:
    `name` - the name of this draw feature

### FillCellFeature

    public FillCellFeature(java.lang.String name,
                           ColorFeature colorFeature)

  Constructs the feature with a name and color feature.

  Parameters:
    `name` - the name of this draw feature

Method Detail

### draw

    public void draw(org.eclipse.draw2d.Graphics g,
                     java.lang.Object object,
                     int width,
                     int height)

  Description copied from class: `DrawColorFeature`
  Draws a graphic interpreation of the object into the supplied graphics port, (typically) within the supplied dimensions. Views which use this class are responsible for translating the graphics so that the object is drawn at the approriate location. Please let us know if you think you need a directly addressed alternative.

  Overrides:
    `draw` in class `DrawColorFeature`
  Parameters:
    `g` - the Graphics context to draw into
    `object` - the object to interpret for drawing
    `width` - the width of the space that should be drawn into
    `height` - the height of the space that should be drawn into